# Bitty's Challenges

This mod adds a number of new Challenges and Anti-Challenges that you can select from when starting a new Kaycee's Mod run.

Made by Bitty45 (discord: bitty45#5291), don't be afraid to ping me if you run into any errors!

### The following challenges are added:

- **Botched Experiments**: The Mycologists have a chance to make mistakes while fusing cards.
- **Aquatic Starters**: Starting deck will begin with Waterborne.
- **Weak Starters**: A returning challenge from the KCM beta, Starting deck cards have 1 less health.
- **Brittle Starters**: Starting deck will begin with brittle.
- **Fatigued Starters**: Starting deck will begin with Asleep. (cannot attack the first turn it is played)
- **Famine**: Sidedeck has 3 less cards. (configurable)
- **Sprintmageddon**: All drawn cards get a random Sprinter sigil variant.
- **Traveling Ouroboros**: Leshy gets his own Ouroboros that he can play against you.
- **Harder Boss Signatures**: Makes bosses' signature cards more difficult.
- **True Pirate**: Makes pirates invade other bosses, and makes the final boss challenge harder.

### The following Anti-Challenges are added:

- **Old Fecundity**: Reverts the Fecundity Nerf.
- **Reverse Scales**: Adds 1 damage on the opponent's side.
- **Golden fleece**: Adds a roaming Golden Ram that you can kill for its pelt.
- **Infinite Lives**: Makes you unable to die. It's cheating.

### The following sigils are added:

- **Sticky**: A sprinter variant, opposing cards are moved in the same direction.
- **Hauler**: A sprinter variant, adjacent friendly cards are pulled in the same direction.
- **Deathbell**: At the start of each turn, a card bearing this sigil perishes. (mostly used by custom cards, should not show up in totems and such)
- **Fragile**: A reskin of Overclock, if a card bearing this sigil dies it is removed from the deck permanently. (mostly used by custom cards, should not show up in totems and such)

    This mod also includes 2 sigils from **AllTheSigils**:
- **Warper**: A sprinter variant, teleports to the nearest slot to the right. If it reaches the edge of the board, it teleports back to the left most slot.
- **Asleep**: A card with this sigil may not attack the turn it is played.

## Credits

Thanks to:

- Sylvie/Memez4Life for the **Asleep** and **Warper** Sigils
- 284.webp for the **Sticky** sigil art
- divisionbyzorro/infiniscryption for the **Curses mod** that I used to create **Traveling Ouro**
- amphany for the **Wooden Plank** card art
- Sire for the **Golden Ram** card art

## Requirements

As with most mods, you need [BepInEx](https://inscryption.thunderstore.io/package/BepInEx/BepInExPack_Inscryption/) installed. You also need the [API](https://inscryption.thunderstore.io/package/API_dev/API/).

## Changelog
- Dialogue added and changed for several challenges
- Redid Botched's art
- Botched made harder
- Abundance fully removed
- Ouroboros is worth 30 points now
- Waterborne is worth 5 points now
- Famine points value is now static, at 10 points
- 3 new Challenges
- 3 new Anti-Challenges

<details>
<summary>Changelog</summary>

- 2.0.0: 3 new challenges & 3 new Anti-Challenges, Encounters fixed (again)
- 1.0.2: Fixed Ouro, so its attack actually scales with deaths instead of staying at 1.
- 1.0.1: 7 Challenges & 1 Anti-Challenge

</details>